//+------------------------------------------------------------------+
//|                                                      EC_Info.mq4 |
//|                                                          Kalenzo |
//|                                          http://www.fxservice.eu |
//+------------------------------------------------------------------+
#property copyright "Kalenzo"
#property link      "http://www.fxservice.eu, contact@fxservice.eu, bartlomiej.gorski@gmail.com"

extern int MA_PERIOD = 34,
           MA_METHOD = MODE_EMA,
           MA_PRICE  = PRICE_CLOSE,
           CCI_PERIOD= 50,
           CCI_PRICE = PRICE_CLOSE;
           
#property indicator_chart_window
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
      ObjectDelete("MAWhite");
        ObjectDelete("MAColor");
          ObjectDelete("CCIWhite");
            ObjectDelete("CCIColor");
      
      
    
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   ObjectDelete("MAWhite");
        ObjectDelete("MAColor");
          ObjectDelete("CCIWhite");
            ObjectDelete("CCIColor");
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   
   double ma   = iMA(Symbol(),0,MA_PERIOD,0,MA_METHOD,MA_PRICE,0);
   double cci  = iCCI(Symbol(),0,CCI_PERIOD,CCI_PRICE,0);
   
     
   
   if(Bid>ma)
   {
      ObjectCreate("MAWhite",OBJ_LABEL,0,0,0);
      ObjectSet("MAWhite",OBJPROP_CORNER,3);
      ObjectSet("MAWhite",OBJPROP_XDISTANCE,70);
      ObjectSet("MAWhite",OBJPROP_YDISTANCE,30);
      ObjectSetText("MAWhite","MA "+MA_PERIOD+" = ",12,"Arial",White);
 
      ObjectCreate("MAColor",OBJ_LABEL,0,0,0);
      ObjectSet("MAColor",OBJPROP_CORNER,3);
      ObjectSet("MAColor",OBJPROP_XDISTANCE,20);
      ObjectSet("MAColor",OBJPROP_YDISTANCE,30);
      ObjectSetText("MAColor","LONG",14,"Arial",Green);
   
   }
   else
   {
      ObjectCreate("MAWhite",OBJ_LABEL,0,0,0);
      ObjectSet("MAWhite",OBJPROP_CORNER,3);
      ObjectSet("MAWhite",OBJPROP_XDISTANCE,85);
      ObjectSet("MAWhite",OBJPROP_YDISTANCE,30);
      ObjectSetText("MAWhite","MA "+MA_PERIOD+" = ",12,"Arial",White);
 
      ObjectCreate("MAColor",OBJ_LABEL,0,0,0);
      ObjectSet("MAColor",OBJPROP_CORNER,3);
      ObjectSet("MAColor",OBJPROP_XDISTANCE,20);
      ObjectSet("MAColor",OBJPROP_YDISTANCE,30);
      ObjectSetText("MAColor","SHORT",14,"Arial",Red);  
   }
   
   if(cci>50)
   {
      ObjectCreate("CCIWhite",OBJ_LABEL,0,0,0);
      ObjectSet("CCIWhite",OBJPROP_CORNER,3);
      ObjectSet("CCIWhite",OBJPROP_XDISTANCE,70);
      ObjectSet("CCIWhite",OBJPROP_YDISTANCE,10);
      ObjectSetText("CCIWhite","CCI "+MA_PERIOD+" = ",12,"Arial",White);
 
      ObjectCreate("CCIColor",OBJ_LABEL,0,0,0);
      ObjectSet("CCIColor",OBJPROP_CORNER,3);
      ObjectSet("CCIColor",OBJPROP_XDISTANCE,20);
      ObjectSet("CCIColor",OBJPROP_YDISTANCE,10);
      ObjectSetText("CCIColor","LONG",14,"Arial",Green);
   
   }
   else
   {
      ObjectCreate("CCIWhite",OBJ_LABEL,0,0,0);
      ObjectSet("CCIWhite",OBJPROP_CORNER,3);
      ObjectSet("CCIWhite",OBJPROP_XDISTANCE,85);
      ObjectSet("CCIWhite",OBJPROP_YDISTANCE,10);
      ObjectSetText("CCIWhite","CCI "+MA_PERIOD+" = ",12,"Arial",White);
 
      ObjectCreate("CCIColor",OBJ_LABEL,0,0,0);
      ObjectSet("CCIColor",OBJPROP_CORNER,3);
      ObjectSet("CCIColor",OBJPROP_XDISTANCE,20);
      ObjectSet("CCIColor",OBJPROP_YDISTANCE,10);
      ObjectSetText("CCIColor","SHORT",14,"Arial",Red);
   }
   
   
   return(0);
  }
//+------------------------------------------------------------------+